繁体   English   中英

OSError ssl握手?

OSError ssl handshake?

提示:本站收集StackOverFlow近2千万问答,支持中英文搜索,鼠标放在语句上弹窗显示对应的参考中文或英文, 本站还提供   中文繁体   英文版本   中英对照 版本,有任何建议请联系yoyou2525@163.com。

我是python的新手,我无法分析以下错误。 有人知道为什么我的脚本崩溃了吗?

我正在抓取网络上的一些数据,每次刮刀命中时,脚本会将该时间写入数据库(以检查脚本是否仍然存在)。 脚本每隔几天崩溃一次。

提前致谢。

Traceback (most recent call last):
  File "/usr/local/lib/python3.7/site-packages/urllib3/connectionpool.py", line 600, in urlopen
    chunked=chunked)
  File "/usr/local/lib/python3.7/site-packages/urllib3/connectionpool.py", line 343, in _make_request
    self._validate_conn(conn)
  File "/usr/local/lib/python3.7/site-packages/urllib3/connectionpool.py", line 849, in _validate_conn
    conn.connect()
  File "/usr/local/lib/python3.7/site-packages/urllib3/connection.py", line 356, in connect
    ssl_context=context)
  File "/usr/local/lib/python3.7/site-packages/urllib3/util/ssl_.py", line 359, in ssl_wrap_socket
    return context.wrap_socket(sock, server_hostname=server_hostname)
  File "/usr/local/lib/python3.7/ssl.py", line 412, in wrap_socket
    session=session
  File "/usr/local/lib/python3.7/ssl.py", line 850, in _create
    self.do_handshake()
  File "/usr/local/lib/python3.7/ssl.py", line 1108, in do_handshake
    self._sslobj.do_handshake()
OSError: [Errno 0] Error

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/local/lib/python3.7/site-packages/requests/adapters.py", line 445, in send
    timeout=timeout
  File "/usr/local/lib/python3.7/site-packages/urllib3/connectionpool.py", line 638, in urlopen
    _stacktrace=sys.exc_info()[2])
  File "/usr/local/lib/python3.7/site-packages/urllib3/util/retry.py", line 367, in increment
    raise six.reraise(type(error), error, _stacktrace)
  File "/usr/local/lib/python3.7/site-packages/urllib3/packages/six.py", line 685, in reraise
    raise value.with_traceback(tb)
  File "/usr/local/lib/python3.7/site-packages/urllib3/connectionpool.py", line 600, in urlopen
    chunked=chunked)
  File "/usr/local/lib/python3.7/site-packages/urllib3/connectionpool.py", line 343, in _make_request
    self._validate_conn(conn)
  File "/usr/local/lib/python3.7/site-packages/urllib3/connectionpool.py", line 849, in _validate_conn
    conn.connect()
  File "/usr/local/lib/python3.7/site-packages/urllib3/connection.py", line 356, in connect
    ssl_context=context)
  File "/usr/local/lib/python3.7/site-packages/urllib3/util/ssl_.py", line 359, in ssl_wrap_socket
    return context.wrap_socket(sock, server_hostname=server_hostname)
  File "/usr/local/lib/python3.7/ssl.py", line 412, in wrap_socket
    session=session
  File "/usr/local/lib/python3.7/ssl.py", line 850, in _create
    self.do_handshake()
  File "/usr/local/lib/python3.7/ssl.py", line 1108, in do_handshake
    self._sslobj.do_handshake()
urllib3.exceptions.ProtocolError: ('Connection aborted.', OSError(0, 'Error'))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/local/lib/python3.7/site-packages/firebase_admin/db.py", line 881, in request
    return super(_Client, self).request(method, url, **kwargs)
  File "/usr/local/lib/python3.7/site-packages/firebase_admin/_http_client.py", line 84, in request
    resp = self._session.request(method, self._base_url + url, **kwargs)
  File "/usr/local/lib/python3.7/site-packages/google/auth/transport/requests.py", line 201, in request
    method, url, data=data, headers=request_headers, **kwargs)
  File "/usr/local/lib/python3.7/site-packages/requests/sessions.py", line 512, in request
    resp = self.send(prep, **send_kwargs)
  File "/usr/local/lib/python3.7/site-packages/requests/sessions.py", line 622, in send
    r = adapter.send(request, **kwargs)
  File "/usr/local/lib/python3.7/site-packages/requests/adapters.py", line 495, in send
    raise ConnectionError(err, request=request)
requests.exceptions.ConnectionError: ('Connection aborted.', OSError(0, 'Error'))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "./main.py", line 32, in <module>
    firebase.write_time_stamp(for_js)
  File "/firebase.py", line 38, in write_time_stamp
    'time': stamp
  File "/usr/local/lib/python3.7/site-packages/firebase_admin/db.py", line 339, in update
    self._client.request('patch', self._add_suffix(), json=value, params='print=silent')
  File "/usr/local/lib/python3.7/site-packages/firebase_admin/db.py", line 883, in request
    raise ApiCallError(_Client.extract_error_message(error), error)
firebase_admin.db.ApiCallError: ('Connection aborted.', OSError(0, 'Error'))
问题暂未有回复.您可以查看右边的相关问题.
1 SSL握手和gevent

为了减少延迟,我们尝试在程序中使用gevent。 但是,使用acyncio似乎很乏味,因为我们需要重写很多代码。 但是使用gevent会产生很多奇怪的错误,例如[SSL Handshake failed] 。 经过一番挖掘,我们发现成功建立TCP连接后,大约30秒钟就发送了客户端问候数 ...

2 SSL无法握手

严格遵循SSL证书颁发机构文档后,我为解决此错误的原因感到困惑。 通过HTTPS访问我的网站时,Firefox吐出以下错误: 我回过头来,在SSL错误日志中找到了此文件(域是故意修改的): 服务器名称在哪里定义? 我无法在我的httpd-ssl.conf文件中找到合理的解释来 ...

3 SSL:握手超时

我们正在从PHP应用程序调用https://sqs.us-west-2.amazonaws.com SQS。 我们正在使用aws-sdk-php-laravel 3.3版本库来连接aws SQS。 我们正在随机得到以下错误(160次呼叫中的一次或每1小时(大约)一次)。 我们一直在不断调用SQS A ...

4 SSL握手超时

我有2个由同一证书颁发机构颁发的客户端身份验证证书。 其中之一使我可以连接到HTTPS Web服务,但是当我使用类似于以下内容的代码时,另一项则不能: 尝试获取请求流时,出现InvalidOperationException消息,提示“操作已超时”。 在尝试与失败的证书进行连接时 ...

5 SSL握手失败

有通过HTTPS托管的第三方Web服务,而使用Web服务时却面临SSL握手失败错误。 出于安全原因,我们无权访问第三方URL或服务,只有我们的客户才能从该环境访问。 我已经做了足够的打击和审判,但仍然没有成功。 我们的应用程序在Weblogic 9.2上运行。 第三方提供 ...

6 如何处理SSL握手

我正在使用以下代码并尝试使用https:// localhost:32567?test = aaa通过浏览器访问它 我收到以下错误 线程“主”中的异常javax.net.ssl.SSLHandshakeException:没有通用的密码套件 列出的密码是 TLS_ECD ...

7 SSL握手异常

我使用 SSL 连接将 Web 客户端连接到服务器。 它工作很长时间没有任何问题。 但是从昨天开始,它给出了以下错误,谁能告诉我原因。 ...

2010-09-23 04:37:40 11 100078   java/ ssl
8 SSL握手错误

我遇到了其中一台服务器的握手问题。 我似乎无法弄清楚如何解决这个问题。 几天前,在连接到其他服务器之一时,我遇到了类似的问题,您可以在此问题中关注。 该问题已解决,但我正面临着另一个类似的问题。 这来自错误日志。 我也运行了一个openssl命令,这是输出。 我在那看 ...

9 SSL握手失败

我需要使用一些严格的协议访问API。 我已经获得了.pem格式的私钥,并告诉我需要将其转换为.p12才能访问服务器。 设法做到这一点,并拥有我的.p12密钥。 我还获得了API密钥和密码。 这些必须包含在HTTP基本身份验证标头中。 最后,服务器正在运行.cer格式的自签名 ...

10 SSL握手挂起

我在论坛上看到过这个问题,但找不到合适的修复方法。 所有这些问题都缺少一些信息,所以想把所有我在这里学到的东西。 连接点。 我在openfire中使用SSL / TLS进行双向身份验证。 获得自签名通配符证书。 这意味着我在客户端和服务器上都有我的CA. 现在这可行,但有时,SS ...

暂无
暂无

声明:本站的技术帖子网页,遵循CC BY-SA 4.0协议,如果您需要转载,请注明本站网址或者原文地址。任何问题请咨询:yoyou2525@163.com.

 
粤ICP备18138465号  © 2020-2022 STACKOOM.COM